[Backgroundrb-devel] Problem with install

Mike Dupont jamesmikedupont at googlemail.com
Thu Nov 18 09:39:29 EST 2010


Hi,
I just installed.
ruby --version :ruby 1.8.7 (2009-06-12 patchlevel 174) [i486-linux]
uname -a : Linux goetherad 2.6.31-22-generic #63-Ubuntu SMP Wed Aug 18
22:54:26 UTC 2010 i686 GNU/Linux

 rake backgroundrb:setup  --trace
(in /media/87ce4eeb-6589-4edc-a13a-ac286d780634/experiments/transiki/transikiapi-0.1)
DEPRECATION WARNING: Rake tasks in
/media/87ce4eeb-6589-4edc-a13a-ac286d780634/experiments/transiki/transikiapi-0.1/vendor/plugins/backgroundrb/tasks/backgroundrb_tasks.rake
are deprecated. Use lib/tasks instead. (called from
/media/87ce4eeb-6589-4edc-a13a-ac286d780634/experiments/transiki/transikiapi-0.1/Rakefile:7)
** Invoke backgroundrb:setup (first_time)
** Execute backgroundrb:setup
DEPRECATION WARNING: RAILS_ROOT is deprecated. Please use
::Rails.root.to_s. (called from
/media/87ce4eeb-6589-4edc-a13a-ac286d780634/experiments/transiki/transikiapi-0.1/vendor/plugins/backgroundrb/tasks/backgroundrb_tasks.rake:5)
** Invoke backgroundrb:queue_migration (first_time)
** Invoke environment (first_time)
** Execute environment
rake aborted!
wrong number of arguments (0 for 1)
/media/87ce4eeb-6589-4edc-a13a-ac286d780634/experiments/transiki/transikiapi-0.1/vendor/plugins/backgroundrb/init.rb:3:in
`directory'
/media/87ce4eeb-6589-4edc-a13a-ac286d780634/experiments/transiki/transikiapi-0.1/vendor/plugins/backgroundrb/init.rb:3
/media/87ce4eeb-6589-4edc-a13a-ac286d780634/experiments/transiki/transikiapi-0.1/vendor/plugins/backgroundrb/init.rb:2:in
`each'
/media/87ce4eeb-6589-4edc-a13a-ac286d780634/experiments/transiki/transikiapi-0.1/vendor/plugins/backgroundrb/init.rb:2
/usr/lib/ruby/gems/1.8/gems/railties-3.0.0/lib/rails/plugin.rb:81
/usr/lib/ruby/gems/1.8/gems/railties-3.0.0/lib/rails/initializable.rb:25:in
`instance_exec'
/usr/lib/ruby/gems/1.8/gems/railties-3.0.0/lib/rails/initializable.rb:25:in
`run'
/usr/lib/ruby/gems/1.8/gems/railties-3.0.0/lib/rails/initializable.rb:50:in
`run_initializers'
/usr/lib/ruby/gems/1.8/gems/railties-3.0.0/lib/rails/initializable.rb:49:in
`each'
/usr/lib/ruby/gems/1.8/gems/railties-3.0.0/lib/rails/initializable.rb:49:in
`run_initializers'
/usr/lib/ruby/gems/1.8/gems/railties-3.0.0/lib/rails/application.rb:134:in
`initialize!'
/usr/lib/ruby/gems/1.8/gems/railties-3.0.0/lib/rails/application.rb:77:in `send'
/usr/lib/ruby/gems/1.8/gems/railties-3.0.0/lib/rails/application.rb:77:in
`method_missing'
/media/87ce4eeb-6589-4edc-a13a-ac286d780634/experiments/transiki/transikiapi-0.1/config/environment.rb:9
/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.0/lib/active_support/dependencies.rb:239:in
`require'
/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.0/lib/active_support/dependencies.rb:239:in
`require'
/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.0/lib/active_support/dependencies.rb:225:in
`load_dependency'
/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.0/lib/active_support/dependencies.rb:591:in
`new_constants_in'
/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.0/lib/active_support/dependencies.rb:225:in
`load_dependency'
/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.0/lib/active_support/dependencies.rb:239:in
`require'
/usr/lib/ruby/gems/1.8/gems/railties-3.0.0/lib/rails/application.rb:103:in
`require_environment!'
/usr/lib/ruby/gems/1.8/gems/railties-3.0.0/lib/rails/application.rb:216:in
`initialize_tasks'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:636:in `call'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:636:in `execute'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:631:in `each'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:631:in `execute'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:597:in
`invoke_with_call_chain'
/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:590:in
`invoke_with_call_chain'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:607:in `invoke_prerequisites'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:604:in `each'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:604:in `invoke_prerequisites'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:596:in
`invoke_with_call_chain'
/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:590:in
`invoke_with_call_chain'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:583:in `invoke'
/media/87ce4eeb-6589-4edc-a13a-ac286d780634/experiments/transiki/transikiapi-0.1/vendor/plugins/backgroundrb/tasks/backgroundrb_tasks.rake:45
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:636:in `call'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:636:in `execute'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:631:in `each'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:631:in `execute'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:597:in
`invoke_with_call_chain'
/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:590:in
`invoke_with_call_chain'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:583:in `invoke'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2051:in `invoke_task'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `top_level'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `each'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `top_level'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in
`standard_exception_handling'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2023:in `top_level'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2001:in `run'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in
`standard_exception_handling'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:1998:in `run'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/bin/rake:31
/usr/bin/rake:19:in `load'
/usr/bin/rake:19

thanks,
mike

On Thu, Nov 18, 2010 at 2:40 PM, Mike  Dupont
<jamesmikedupont at googlemail.com> wrote:
> Hi,
> I just installed.
> ruby --version :ruby 1.8.7 (2009-06-12 patchlevel 174) [i486-linux]
> uname -a : Linux goetherad 2.6.31-22-generic #63-Ubuntu SMP Wed Aug 18
> 22:54:26 UTC 2010 i686 GNU/Linux
>
>  rake backgroundrb:setup  --trace
> (in /media/87ce4eeb-6589-4edc-a13a-ac286d780634/experiments/transiki/transikiapi-0.1)
> DEPRECATION WARNING: Rake tasks in
> /media/87ce4eeb-6589-4edc-a13a-ac286d780634/experiments/transiki/transikiapi-0.1/vendor/plugins/backgroundrb/tasks/backgroundrb_tasks.rake
> are deprecated. Use lib/tasks instead. (called from
> /media/87ce4eeb-6589-4edc-a13a-ac286d780634/experiments/transiki/transikiapi-0.1/Rakefile:7)
> ** Invoke backgroundrb:setup (first_time)
> ** Execute backgroundrb:setup
> DEPRECATION WARNING: RAILS_ROOT is deprecated. Please use
> ::Rails.root.to_s. (called from
> /media/87ce4eeb-6589-4edc-a13a-ac286d780634/experiments/transiki/transikiapi-0.1/vendor/plugins/backgroundrb/tasks/backgroundrb_tasks.rake:5)
> ** Invoke backgroundrb:queue_migration (first_time)
> ** Invoke environment (first_time)
> ** Execute environment
> rake aborted!
> wrong number of arguments (0 for 1)
> /media/87ce4eeb-6589-4edc-a13a-ac286d780634/experiments/transiki/transikiapi-0.1/vendor/plugins/backgroundrb/init.rb:3:in
> `directory'
> /media/87ce4eeb-6589-4edc-a13a-ac286d780634/experiments/transiki/transikiapi-0.1/vendor/plugins/backgroundrb/init.rb:3
> /media/87ce4eeb-6589-4edc-a13a-ac286d780634/experiments/transiki/transikiapi-0.1/vendor/plugins/backgroundrb/init.rb:2:in
> `each'
> /media/87ce4eeb-6589-4edc-a13a-ac286d780634/experiments/transiki/transikiapi-0.1/vendor/plugins/backgroundrb/init.rb:2
> /usr/lib/ruby/gems/1.8/gems/railties-3.0.0/lib/rails/plugin.rb:81
> /usr/lib/ruby/gems/1.8/gems/railties-3.0.0/lib/rails/initializable.rb:25:in
> `instance_exec'
> /usr/lib/ruby/gems/1.8/gems/railties-3.0.0/lib/rails/initializable.rb:25:in
> `run'
> /usr/lib/ruby/gems/1.8/gems/railties-3.0.0/lib/rails/initializable.rb:50:in
> `run_initializers'
> /usr/lib/ruby/gems/1.8/gems/railties-3.0.0/lib/rails/initializable.rb:49:in
> `each'
> /usr/lib/ruby/gems/1.8/gems/railties-3.0.0/lib/rails/initializable.rb:49:in
> `run_initializers'
> /usr/lib/ruby/gems/1.8/gems/railties-3.0.0/lib/rails/application.rb:134:in
> `initialize!'
> /usr/lib/ruby/gems/1.8/gems/railties-3.0.0/lib/rails/application.rb:77:in `send'
> /usr/lib/ruby/gems/1.8/gems/railties-3.0.0/lib/rails/application.rb:77:in
> `method_missing'
> /media/87ce4eeb-6589-4edc-a13a-ac286d780634/experiments/transiki/transikiapi-0.1/config/environment.rb:9
> /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.0/lib/active_support/dependencies.rb:239:in
> `require'
> /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.0/lib/active_support/dependencies.rb:239:in
> `require'
> /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.0/lib/active_support/dependencies.rb:225:in
> `load_dependency'
> /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.0/lib/active_support/dependencies.rb:591:in
> `new_constants_in'
> /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.0/lib/active_support/dependencies.rb:225:in
> `load_dependency'
> /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.0/lib/active_support/dependencies.rb:239:in
> `require'
> /usr/lib/ruby/gems/1.8/gems/railties-3.0.0/lib/rails/application.rb:103:in
> `require_environment!'
> /usr/lib/ruby/gems/1.8/gems/railties-3.0.0/lib/rails/application.rb:216:in
> `initialize_tasks'
> /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:636:in `call'
> /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:636:in `execute'
> /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:631:in `each'
> /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:631:in `execute'
> /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:597:in
> `invoke_with_call_chain'
> /usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'
> /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:590:in
> `invoke_with_call_chain'
> /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:607:in `invoke_prerequisites'
> /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:604:in `each'
> /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:604:in `invoke_prerequisites'
> /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:596:in
> `invoke_with_call_chain'
> /usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'
> /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:590:in
> `invoke_with_call_chain'
> /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:583:in `invoke'
> /media/87ce4eeb-6589-4edc-a13a-ac286d780634/experiments/transiki/transikiapi-0.1/vendor/plugins/backgroundrb/tasks/backgroundrb_tasks.rake:45
> /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:636:in `call'
> /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:636:in `execute'
> /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:631:in `each'
> /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:631:in `execute'
> /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:597:in
> `invoke_with_call_chain'
> /usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'
> /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:590:in
> `invoke_with_call_chain'
> /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:583:in `invoke'
> /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2051:in `invoke_task'
> /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `top_level'
> /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `each'
> /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `top_level'
> /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in
> `standard_exception_handling'
> /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2023:in `top_level'
> /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2001:in `run'
> /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in
> `standard_exception_handling'
> /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:1998:in `run'
> /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/bin/rake:31
> /usr/bin/rake:19:in `load'
> /usr/bin/rake:19
>
> thanks,
> mike



-- 
James Michael DuPont
Member of Free Libre Open Source Software Kosova and Albania
flossk.org flossal.org


More information about the Backgroundrb-devel mailing list